Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface RichTextArea.BasicFormatter

All Known Subinterfaces:
  RichTextArea.ExtendedFormatter

Enclosing class:
  RichTextArea

    public static interface RichTextArea.BasicFormatter

This interface is used to access basic formatting options, when available. If the implementation supports basic formatting, then `RichTextArea.getBasicFormatter()` will return an instance of this class.

Method Summary
`java.lang.String` | `getBackColor()` Gets the background color.
`java.lang.String` | `getForeColor()` Gets the foreground color.
`boolean` | `isBold()` Is the current region bold?
`boolean` | `isItalic()` Is the current region italic?
`boolean` | `isSubscript()` Is the current region subscript?
`boolean` | `isSuperscript()` Is the current region superscript?
`boolean` | `isUnderlined()` Is the current region underlined?
`void` | `selectAll()` Selects all the text.
`void` | `setBackColor(java.lang.String color)` Sets the background color.
`void` | `setFontName(java.lang.String name)` Sets the font name.
`void` | `setFontSize(RichTextArea.FontSize fontSize)` Sets the font size.
`void` | `setForeColor(java.lang.String color)` Sets the foreground color.
`void` | `setJustification(RichTextArea.Justification justification)` Sets the justification.
`void` | `toggleBold()` Toggles bold.
`void` | `toggleItalic()` Toggles italic.
`void` | `toggleSubscript()` Toggles subscript.
`void` | `toggleSuperscript()` Toggles superscript.
`void` | `toggleUnderline()` Toggles underline.

Method Detail

### getBackColor

    java.lang.String getBackColor()

  Gets the background color.

  Returns:
    the background color

### getForeColor

    java.lang.String getForeColor()

  Gets the foreground color.

  Returns:
    the foreground color

### isBold

    boolean isBold()

  Is the current region bold?

  Returns:
    true if the current region is bold

### isItalic

    boolean isItalic()

  Is the current region italic?

  Returns:
    true if the current region is italic

### isSubscript

    boolean isSubscript()

  Is the current region subscript?

  Returns:
    true if the current region is subscript

### isSuperscript

    boolean isSuperscript()

  Is the current region superscript?

  Returns:
    true if the current region is superscript

### isUnderlined

    boolean isUnderlined()

  Is the current region underlined?

  Returns:
    true if the current region is underlined

### selectAll

    void selectAll()

  Selects all the text.

### setBackColor

    void setBackColor(java.lang.String color)

  Sets the background color.

  Parameters:
    `color` - the new background color

### setFontName

    void setFontName(java.lang.String name)

  Sets the font name.

  Parameters:
    `name` - the new font name

### setFontSize

    void setFontSize(RichTextArea.FontSize fontSize)

  Sets the font size.

  Parameters:
    `fontSize` - the new font size

### setForeColor

    void setForeColor(java.lang.String color)

  Sets the foreground color.

  Parameters:
    `color` - the new foreground color

### setJustification

    void setJustification(RichTextArea.Justification justification)

  Sets the justification.

  Parameters:
    `justification` - the new justification

### toggleBold

    void toggleBold()

  Toggles bold.

### toggleItalic

    void toggleItalic()

  Toggles italic.

### toggleSubscript

    void toggleSubscript()

  Toggles subscript.

### toggleSuperscript

    void toggleSuperscript()

  Toggles superscript.

### toggleUnderline

    void toggleUnderline()

  Toggles underline.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD